cygwin+vim7.0の環境でcmigemoを導入したいのですが、kaoriyaのcmigemoパッチが適用されずにいます。


公式サイトからvim70をダウンロードし、展開した後、
cd vim70
cat ../patches/0021-feature_migemo.diff | patch.exe -p1
とパッチを適用しようとしたところ、

(Stripping trailing CRs from patch.)
can't find file to patch at input line 6
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
| getGvimName(buf, 1);
| if (buf[0] != 0)
|diff -cNr ../vim-6.4/src/Make_mvc.mak ./src/Make_mvc.mak
|*** ../vim-6.4/src/Make_mvc.mak Sun Oct 9 21:37:00 2005
|--- ./src/Make_mvc.mak Sun Oct 16 09:46:04 2005
--------------------------
File to patch:

上記のようなメッセージが表示されました。
ファイルの指定をしているようなのですが、絶対パスで指定しても上記のメッセージが繰り返されるだけになってしまいます。

この場合、どのようにすればmigemoが使えるようパッチが適用されるのでしょうか?

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2007/08/05 00:45:59
  • 終了:2007/08/12 00:50:03

回答(2件)

id:yosuke_ss No.2

yosuke_ss回答回数260ベストアンサー獲得回数22007/08/05 20:33:46

ポイント35pt
  • pオプションです。 -p 0とか-p 1とか指定します。階層レベルですね。

http://end

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません